Skip to main content
POST
runApiStart

Authorizations

x-api-key
string
header
required

API Key used to authenticate your requests. How to create one.

Path Parameters

workspaceId
string<uuid>
required

Your workspace ID. How to find it?

projectName
string
required

The name you assigned when creating the Project.

Body

application/json

Run API input schema

parameters
object
required

The parameters to be passed to the API.

Example:
api
string
required

The name of the API to be executed. This is the file path relative to the api folder inside your project.

proxy
string<uri> | null

Proxy URL to be used for the API call. This is optional and can be used to route the API call through a proxy server. Use "intuned://auto" to let the platform pick a proxy for this project.

Example:

"http://username:password@domain:port"

saveTrace
boolean
requestTimeout
integer
default:600

Timeout for the API request in seconds. Default is 10 minutes (600 seconds).

Example:

600

retry
object

Retry policy configurations in case of failure.

Example:
authSession
Runtime Based AuthSession Input · object

AuthSession config to be used with the run. This is a required field if the AuthSession is enabled on the project.

sink
Webhook Sink Configuration · object

Optional sink configuration for the run. Can be a webhook or S3 sink.

Response

201 - application/json

Run started successfully.

runId
string
required

Unique identifier for the run, prefixed nanoId (ru_...)

status
enum<string>
required
Available options:
pending